//+------------------------------------------------------------------+
//|                                                       test_6.mq5 |
//|                                                Maxim A.Kuznetsov |
//|                                          https://www.luxtrade.tk |
//+------------------------------------------------------------------+
#property copyright "Maxim A.Kuznetsov"
#property link      "https://www.luxtrade.tk"
#property version   "1.00"

#include <MTWorkers/MTClient.mqh>

void OnStart()
{
   ATcl_OnInit();

   MTClient mtc;
   mtc.OnInit();
   
   PrintFormat("I`m %s",mtc.ID());
   int workers=mtc.Workers(200);
   PrintFormat("and have %d workers for me",workers);
   
   if (workers==0) {
      Alert("no have workers");
   } else {
      Tcl_Obj result=mtc.Invoke(100,"charts");
      if (result==0) {
         Alert("Invoke failed %s",mtc.StringResult());
      } else {
         mtc.Ref(result);
         int total=mtc.Count(result);
         PrintFormat("%d charts:",total);
         for(int i=0;i<total;i++) {
            PrintFormat("%02d %s",i+1,mtc.String(result,i));
         }
         mtc.Unref(result);
      }
   }
   mtc.OnDeinit(REASON_PROGRAM);
}

