set have_smpd 0
try {
	set stat [ exec -- netstat -a -n -p tcp ]
	foreach line [ split $stat \n ] {
		if { [ lindex $line 0 ] == "TCP" && [ lindex $line end ] == "LISTENING" } {
			set port [ lindex [ split [ lindex $line 1 ] ":" ] 1 ]
			if { $port == 8676 } {
				# smpd may be run
				set have_smpd 1
				break
			}
		
		}
	}
	if { ! $have_smpd } {
		puts "smpd not started as service"
		puts "run localy in debug mode"
		exec cmd /c start "smpd debug mode" smpd -p 8676 -d &
	}
} on error err {
	puts stderr "internal error $err"
	exit 0
}


